/*
Connor Dial
CSCI 4270
Assignment 4
March 18th, 2024
This is the randomArrayGenerator Class. This uses the java class "Random" to produce a variety of different arrays
that contain randomized values each time. This is used by the main java class.
 */


import java.io.FileWriter;
import java.util.Arrays;
import java.util.Random;
import java.io.File;
import java.io.IOException;

public class randomArrayGenerator {
    Random random = new Random();
    StringBuilder arrayList = new StringBuilder();
    public int[] generateArray(int size) {

        int[] array = new int[size];

        for (int i = 0; i < size; i++) {
            array[i] = random.nextInt();
        }
        addArray(array);
        return array;
    }
    public void addArray(int [] array) {
        arrayList.append(Arrays.toString(array)).append("\n");
    }
    public void ArrayReportCreator() throws IOException {
        File file = new File("generated_arrays.txt");
        FileWriter fw = new FileWriter(file);
        fw.write(arrayList.toString());
        fw.close();
        System.out.println("File generated_arrays.txt has been created and can be found in the assignment folder.");
    }
}
